package com.template.services;

import com.template.model.pojo.SmartDuties;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 应用管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-16
 */
public interface SmartDutiesService extends IService<SmartDuties> {
    int insertSmartDuties(SmartDuties rns);

    int updateSmartDuties(SmartDuties rns);

    PageUtils<SmartDuties> queryPageSmartDutiess(int currentPage, int pageCount, String name);

    int deleteSmartDutiesById(int id);

    SmartDuties getSmartById(int id);

    SmartDuties getSmartDuties();

    SmartDuties querySmartDutiesByName(String name, Integer categoryId);

    List<SmartDuties> getSmartDutiesByCategoryId(Integer categoryId);
}
